Bug 1254960 - thinkpad freeze on undock (drm_kms_helper) [NEEDINFO]
thinkpad freeze on undock (drm_kms_helper)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 06:37 EDT by Viliam Križan
Modified: 2015-11-23 12:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:13:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Viliam Križan 2015-08-19 06:37:31 EDT
Description of problem:
Thinkpad freezes when undocked from docking station with lid closed. Chances of this behavior are 1/2.


Version-Release number of selected component (if applicable):
Kernel 4.1.4-200.fc22.x86_64


How reproducible:
Have docked laptop with closed lid and with connected USB devices and monitor(s) into the station.


Steps to Reproduce:
1. Dock laptop and connect devices into docking station (incl. monitors)
2. Have lid closed
3. Undock

Actual results:
System freezes.

Expected results:
System will run as normal (or goes into sleep if configured).


Additional info:
Lenovo Thinkpad T510p (20BFS0W505)

aug 19 11:28:55 localhost.localdomain kernel: usb 1-9: USB disconnect, device number 9
aug 19 11:28:55 localhost.localdomain kernel: usb 1-9.1: USB disconnect, device number 12
aug 19 11:28:55 localhost.localdomain kernel: usb 1-9.4: USB disconnect, device number 10
aug 19 11:28:55 localhost.localdomain kernel: usb 1-9.4.1: USB disconnect, device number 11
aug 19 11:28:55 localhost.localdomain systemd-udevd[910]: error opening USB device 'descriptors' file
aug 19 11:28:55 localhost.localdomain systemd-udevd[910]: error opening USB device 'descriptors' file
aug 19 11:28:55 localhost.localdomain systemd-udevd[910]: error opening USB device 'descriptors' file
aug 19 11:28:55 localhost.localdomain systemd-udevd[910]: error opening USB device 'descriptors' file
aug 19 11:28:55 localhost.localdomain systemd-udevd[910]: error opening USB device 'descriptors' file
aug 19 11:28:55 localhost.localdomain kernel: usb 2-5: USB disconnect, device number 3
aug 19 11:28:55 localhost.localdomain kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000428
aug 19 11:28:55 localhost.localdomain kernel: IP: [<ffffffffa01485d8>] drm_dp_update_payload_part1+0x158/0x390 [drm_kms_helper]
aug 19 11:28:55 localhost.localdomain kernel: PGD 3eac1f067 PUD 3f535a067 PMD 0 
aug 19 11:28:55 localhost.localdomain kernel: Oops: 0000 [#1] SMP 
aug 19 11:28:55 localhost.localdomain kernel: Modules linked in: rfcomm fuse cmac rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 
aug 19 11:28:55 localhost.localdomain kernel:  iwlwifi kvm snd_hwdep btusb snd_seq videobuf2_vmalloc videobuf2_core btbcm btintel snd_seq_device videobuf2_memops v4l2_common cfg80
aug 19 11:28:55 localhost.localdomain kernel: CPU: 0 PID: 4001 Comm: kworker/0:0 Not tainted 4.1.4-200.fc22.x86_64 #1
aug 19 11:28:55 localhost.localdomain kernel: Hardware name: LENOVO 20BFS0W505/20BFS0W505, BIOS GMET69WW (2.17 ) 01/12/2015
Comment 1 Justin M. Forbes 2015-10-20 15:23:51 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 2 Fedora Kernel Team 2015-11-23 12:13:07 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.